POST api/Task/PostTaskMgmt

Request Information

URI Parameters

None.

Body Parameters

TaskMgmtDTO
NameDescriptionTypeAdditional information
Id

integer

None.

CorporationCode

string

String length: inclusive between 0 and 20

ServiceId

integer

None.

OnsiteLocationId

integer

None.

EntityTypeId

integer

None.

EntityId

integer

None.

TaskTypeId

integer

None.

TaskSubTypeId

integer

None.

EmployeeName

string

String length: inclusive between 0 and 50

EmployeeId

string

String length: inclusive between 0 and 15

StartTime

date

None.

EndTime

date

None.

TimeSpent

integer

None.

TaskStatusId

integer

None.

Note

string

String length: inclusive between 0 and 400

TaskAssignUserId

integer

None.

TaskAssignUserFirstName

string

String length: inclusive between 0 and 50

TaskAssignUserLastName

string

String length: inclusive between 0 and 50

ServiceName

string

String length: inclusive between 0 and 100

TaskTypeName

string

String length: inclusive between 0 and 100

TaskSubTypeName

string

String length: inclusive between 0 and 100

DateCreatedCheck

date

None.

StringStartTime

string

String length: inclusive between 0 and 100

StringEndTime

string

String length: inclusive between 0 and 100

TaskDate

date

None.

TaskDateString

string

String length: inclusive between 0 and 100

Quantity

integer

None.

QuantityOrTimeSpent

integer

None.

MeasureByColumn

string

String length: inclusive between 0 and 50

IsFromClinicalActivity

boolean

None.

EncounterSequence

integer

None.

CaseNo

integer

None.

Staff

string

String length: inclusive between 0 and 500

OnSite

string

String length: inclusive between 0 and 500

TaskTypeCode

string

String length: inclusive between 0 and 50

ClinicalPathwayId

integer

None.

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "CorporationCode": "sample string 2",
  "ServiceId": 1,
  "OnsiteLocationId": 1,
  "EntityTypeId": 1,
  "EntityId": 1,
  "TaskTypeId": 1,
  "TaskSubTypeId": 1,
  "EmployeeName": "sample string 3",
  "EmployeeId": "sample string 4",
  "StartTime": "2026-08-04T14:25:41.9984875-07:00",
  "EndTime": "2026-08-04T14:25:41.9984875-07:00",
  "TimeSpent": 1,
  "TaskStatusId": 1,
  "Note": "sample string 5",
  "TaskAssignUserId": 1,
  "TaskAssignUserFirstName": "sample string 6",
  "TaskAssignUserLastName": "sample string 7",
  "ServiceName": "sample string 8",
  "TaskTypeName": "sample string 9",
  "TaskSubTypeName": "sample string 10",
  "DateCreatedCheck": "2026-08-04T14:25:41.9984875-07:00",
  "StringStartTime": "sample string 11",
  "StringEndTime": "sample string 12",
  "TaskDate": "2026-08-04T14:25:41.9984875-07:00",
  "TaskDateString": "sample string 13",
  "Quantity": 1,
  "QuantityOrTimeSpent": 1,
  "MeasureByColumn": "sample string 14",
  "IsFromClinicalActivity": true,
  "EncounterSequence": 1,
  "CaseNo": 1,
  "Staff": "sample string 15",
  "OnSite": "sample string 16",
  "TaskTypeCode": "sample string 17",
  "ClinicalPathwayId": 1,
  "ValidFlag": true,
  "DateCreated": "2026-08-04T14:25:41.9984875-07:00",
  "DateUpdated": "2026-08-04T14:25:41.9984875-07:00",
  "UserIDCreated": 21,
  "UserIDUpdated": 22,
  "CompanyCode": "sample string 23",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfTaskMgmtDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

TaskMgmtDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "CorporationCode": "sample string 2",
    "ServiceId": 1,
    "OnsiteLocationId": 1,
    "EntityTypeId": 1,
    "EntityId": 1,
    "TaskTypeId": 1,
    "TaskSubTypeId": 1,
    "EmployeeName": "sample string 3",
    "EmployeeId": "sample string 4",
    "StartTime": "2026-08-04T14:25:41.9984875-07:00",
    "EndTime": "2026-08-04T14:25:41.9984875-07:00",
    "TimeSpent": 1,
    "TaskStatusId": 1,
    "Note": "sample string 5",
    "TaskAssignUserId": 1,
    "TaskAssignUserFirstName": "sample string 6",
    "TaskAssignUserLastName": "sample string 7",
    "ServiceName": "sample string 8",
    "TaskTypeName": "sample string 9",
    "TaskSubTypeName": "sample string 10",
    "DateCreatedCheck": "2026-08-04T14:25:41.9984875-07:00",
    "StringStartTime": "sample string 11",
    "StringEndTime": "sample string 12",
    "TaskDate": "2026-08-04T14:25:41.9984875-07:00",
    "TaskDateString": "sample string 13",
    "Quantity": 1,
    "QuantityOrTimeSpent": 1,
    "MeasureByColumn": "sample string 14",
    "IsFromClinicalActivity": true,
    "EncounterSequence": 1,
    "CaseNo": 1,
    "Staff": "sample string 15",
    "OnSite": "sample string 16",
    "TaskTypeCode": "sample string 17",
    "ClinicalPathwayId": 1,
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:25:41.9984875-07:00",
    "DateUpdated": "2026-08-04T14:25:41.9984875-07:00",
    "UserIDCreated": 21,
    "UserIDUpdated": 22,
    "CompanyCode": "sample string 23",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}